<?php
get_header();
if( ! class_exists( 'WP_List_Table' ) ) {
    require_once( ABSPATH . 'wp-admin/includes/class-wp-list-table.php' );
}
?>
    <div id="primary" class="content-area">
        <main id="main" class="site-main" role="main">

            <article id="post" class="post page type-page status-draft hentry entry">
                <?php
                    if(isset($_GET['post_id']) && !empty($_GET['post_id'])) {
                        $post_id = $_GET['post_id'];
                    
                    function get_token () {
                        $curl = curl_init();
                        $username          = stripslashes_deep( get_option( '_panoee_account_api_usename' ) );
                        $password = stripslashes_deep( get_option( '_panoee_account_api_password' ) );
                        curl_setopt_array($curl, array(
                        CURLOPT_URL => 'https://studio-api.panoee.com/api/auth/login',
                        CURLOPT_RETURNTRANSFER => true,
                        CURLOPT_ENCODING => '',
                        CURLOPT_MAXREDIRS => 10,
                        CURLOPT_TIMEOUT => 0,
                        CURLOPT_FOLLOWLOCATION => true,
                        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                        CURLOPT_CUSTOMREQUEST => 'POST',
                        CURLOPT_POSTFIELDS => 'email='.$username.'&password='.$password ,
                        CURLOPT_HTTPHEADER => array(
                            'email: '. $username,
                            'password: ' . $password,
                            'X-Api-Key: OWM2MzU4ZDc5NmE5NGNjYmFlMDI5ODQ2Njk5YjUzM2E=',
                            'Content-Type: application/x-www-form-urlencoded'
                        ),
                        ));
            
                        $response = curl_exec($curl);
            
                        curl_close($curl);
                        $response_obj = json_decode($response);
                        return $response_obj->token;
                    }

                    $curl = curl_init();
                    curl_setopt_array($curl, array(
                        CURLOPT_URL => 'https://studio-api.panoee.com/api/project/get?id='. $post_id,
                        CURLOPT_RETURNTRANSFER => true,
                        CURLOPT_ENCODING => '',
                        CURLOPT_MAXREDIRS => 10,
                        CURLOPT_TIMEOUT => 0,
                        CURLOPT_FOLLOWLOCATION => true,
                        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                        CURLOPT_CUSTOMREQUEST => 'GET',
                        CURLOPT_HTTPHEADER => array(
                            'Authorization: Bearer '. get_token()
                        ),
                    ));
                    $response = curl_exec($curl);
                    curl_close($curl);
                    $response_obj = json_decode($response);
                    $data_response = $response_obj->data;
                ?>
                
                <div class="entry-content">
                    <div>
                        <img src="<?=$data_response->thumbnail->src; ?>" alt="">
                    </div>
                    <h2><?=$data_response->title; ?></h2>
                    <p><strong class="privacy-policy-tutorial">Image Count: 
                        </strong><?=$data_response->scenes_count?> </p>
                    <p><strong class="privacy-policy-tutorial">Project Status: 
                        </strong><?=$data_response->publish?> </p>
                    <div>
                    <a class="copy-the-code-shortcode" data-target="" data-button-text="Copy Shortcode" data-button-copy-text="Copied!" data-content="[panoee_project name=&quot;<?=$data_response->title; ?>&quot; slug=&quot;<?=$data_response->title; ?>&quot; w=&quot;100%&quot; h=&quot;400px&quot;][/panoee_project]" data-copy-as="text">Copy Shortcode</a>
                    <br /><br />
                    <div id="content-shortcode">[panoee_project name="'<?=$data_response->title; ?>'" slug="'<?=$data_response->slug; ?>'" w="100%" h="400px"][/panoee_project] </div>
                    <br />
                    </div>
                    <p><strong class="privacy-policy-tutorial">Last Modified: 
                        </strong><?=$data_response->updated_at?> </p>
                    
                    
                   
                </div>
                <?php }  else {
                        echo '<div class="entry-content"><p>no post!</p></div>'; 
                    }   ?>
            </article><!-- #post-3 -->
        </main><!-- #main -->
    </div>

<?php
get_footer();